package ittp;

import ittp.protocol.response.Response;

/**
 * This class return a error's message that correspods to the response_code.
 * It is instantiated when an error is generated.
 * @author Frederic Bidon and Mathieu Texier
 */
public class ittpException extends RuntimeException {
    /**
     * Response code to be return
     */
    int response_code;
    
    /**
     * Constructor of the class.
     * @param msg String that containing the message of the error.
     * @param response_code int containing the code corresponding to the error.
     */
    public ittpException (String msg, int response_code) {
        super (msg);
        this.response_code = response_code;
    }
    
    /**
     * Accessors for the response_code.
     * @return the response_code of the error
     */
    public int getResponseCode () {
        return this.response_code;
    }
}